import type { AccountId } from "./AccountId";
import type { FileName } from "./FileName";
import type { FileTag } from "./FileTag";
import type { MimeType } from "./MimeType";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * File upload initialization request.
 */
export declare type BeginUploadRequest = {
    accountId: AccountId;
    fileName?: FileName;
    fileSize: SizeInBytes;
    mime?: MimeType;
    /**
     * Supports a maximum of 10 searchable tags, with up to 25 tags in total.
     */
    tags: Array<FileTag>;
};
