import type { AccountId } from "../models/AccountId";
import type { AllowedOriginData } from "../models/AllowedOriginData";
export declare class AllowedOriginsService {
    /**
     * Adds an allowed origin to an account.
     * @param accountId
     * @param requestBody
     * @returns void
     * @throws ApiError
     */
    static addAllowedOrigin(accountId: AccountId, requestBody: AllowedOriginData): Promise<void>;
    /**
     * Removes an allowed origin from an account.
     * @param accountId
     * @param requestBody
     * @returns void
     * @throws ApiError
     */
    static removeAllowedOrigin(accountId: AccountId, requestBody: AllowedOriginData): Promise<void>;
}
