/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { AllowedOriginData } from "../models/AllowedOriginData";
import { request as __request } from "../core/request";

export class AllowedOriginsService {
  /**
   * Adds an allowed origin to an account.
   * @param accountId
   * @param requestBody
   * @returns void
   * @throws ApiError
   */
  public static async addAllowedOrigin(accountId: AccountId, requestBody: AllowedOriginData): Promise<void> {
    const result = await __request({
      method: "POST",
      path: `/v1/accounts/${accountId}/security/allowed_origins`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Removes an allowed origin from an account.
   * @param accountId
   * @param requestBody
   * @returns void
   * @throws ApiError
   */
  public static async removeAllowedOrigin(accountId: AccountId, requestBody: AllowedOriginData): Promise<void> {
    const result = await __request({
      method: "DELETE",
      path: `/v1/accounts/${accountId}/security/allowed_origins`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
